<?php
namespace Incoviba;

use \Model;

class Propietario extends Model {
  public static $_table = 'propietario';
  public static $_id_columns = ['rut'];

  protected $venta;
  public function venta() {
    if ($this->venta === null) {
      $this->venta = $this->has_one(Venta::class, 'propietario', 'rut')->find_one();
    }
    return $this->venta;
  }

  public function nombreCompleto() {
    return implode(' ', [
      $this->nombres,
      $this->apellido_paterno,
      $this->apellido_materno
    ]);
  }

  public function as_array() {
    $arr = parent::as_array();
    $arr['nombre_completo'] = $this->nombreCompleto();
    return $arr;
  }
}
